"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _qs = _interopRequireDefault(require("qs"));
var _LoginPage = _interopRequireDefault(require("../../../styles/cspace-ui/LoginPage.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/* global window */

const propTypes = {
  history: _propTypes.default.shape({
    replace: _propTypes.default.func
  }).isRequired,
  location: _propTypes.default.shape({
    search: _propTypes.default.string
  }),
  logout: _propTypes.default.func
};
const defaultProps = {
  logout: null
};
const contextTypes = {
  config: _propTypes.default.shape({
    recordTypes: _propTypes.default.object
  }).isRequired
};
class LogoutPage extends _react.Component {
  componentDidMount() {
    const {
      location
    } = this.props;
    const query = _qs.default.parse(location.search.substring(1));
    if ('success' in query) {
      // Log out from the services layer succeeded. Continue with client log out.

      this.finishLogout();
    } else {
      this.startServicesLogout();
    }
  }
  startServicesLogout() {
    const {
      config
    } = this.context;
    const {
      serverUrl
    } = config;
    const redirectUrl = new URL(window.location.href);
    redirectUrl.search = 'success';
    const redirect = serverUrl ? redirectUrl.href : `/..${redirectUrl.pathname}${redirectUrl.search}`;
    const queryString = _qs.default.stringify({
      redirect
    });
    window.location.replace(`${serverUrl}/cspace-services/logout?${queryString}`);
  }
  finishLogout() {
    const {
      history,
      logout
    } = this.props;
    if (logout) {
      logout();
    }
    history.replace('/login');
  }
  render() {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: _LoginPage.default.common
    });
  }
}
exports.default = LogoutPage;
LogoutPage.propTypes = propTypes;
LogoutPage.defaultProps = defaultProps;
LogoutPage.contextTypes = contextTypes;