"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = PublicPage;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactIntl = require("react-intl");
var _FooterContainer = _interopRequireDefault(require("../../containers/sections/FooterContainer"));
var _Logo = _interopRequireDefault(require("../sections/Logo"));
var _PublicPage = _interopRequireDefault(require("../../../styles/cspace-ui/PublicPage.css"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  decorated: _propTypes.default.bool,
  children: _propTypes.default.node
};
const defaultProps = {
  decorated: true
};
const contextTypes = {
  config: _propTypes.default.shape({
    logo: _propTypes.default.string,
    pluginInfo: _propTypes.default.object,
    serverUrl: _propTypes.default.string
  }),
  intl: _reactIntl.intlShape
};
function PublicPage(props, context) {
  const {
    decorated,
    children
  } = props;
  const {
    config,
    intl
  } = context;
  let header;
  if (decorated) {
    header = /*#__PURE__*/_react.default.createElement("header", null, /*#__PURE__*/_react.default.createElement(_Logo.default, {
      config: config
    }));
  }
  const footer = decorated ? /*#__PURE__*/_react.default.createElement(_FooterContainer.default, {
    config: config,
    intl: intl
  }) : null;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _PublicPage.default.common
  }, header, children, footer);
}
PublicPage.propTypes = propTypes;
PublicPage.defaultProps = defaultProps;
PublicPage.contextTypes = contextTypes;