"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactHelmet = require("react-helmet");
var _reactIntl = require("react-intl");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const propTypes = {
  csrf: _propTypes.default.object,
  intl: _reactIntl.intlShape.isRequired
};
const defaultProps = {
  csrf: null
};
const messages = (0, _reactIntl.defineMessages)({
  title: {
    "id": "serviceLoginPage.title",
    "defaultMessage": "Sign out"
  },
  logout: {
    "id": "serviceLogoutPage.logout",
    "defaultMessage": "Sign out"
  }
});
function ServiceLogoutPage(props) {
  const {
    csrf,
    intl
  } = props;
  const csrfInput = csrf ? /*#__PURE__*/_react.default.createElement("input", {
    type: "hidden",
    name: csrf.parameterName,
    value: csrf.token
  }) : undefined;
  return /*#__PURE__*/_react.default.createElement("main", null, /*#__PURE__*/_react.default.createElement(_reactHelmet.Helmet, null, /*#__PURE__*/_react.default.createElement("title", null, intl.formatMessage(messages.title))), /*#__PURE__*/_react.default.createElement("form", {
    method: "POST"
  }, csrfInput, /*#__PURE__*/_react.default.createElement("button", {
    className: "logout",
    type: "submit"
  }, /*#__PURE__*/_react.default.createElement(_reactIntl.FormattedMessage, messages.logout))));
}
ServiceLogoutPage.propTypes = propTypes;
ServiceLogoutPage.defaultProps = defaultProps;
var _default = (0, _reactIntl.injectIntl)(ServiceLogoutPage);
exports.default = _default;