"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isSearchResultSidebarOpen = exports.isSearchPending = exports.isSearchDirty = exports.isRecordSidebarOpen = exports.isRecordSavePending = exports.isRecordReadVocabularyItemRefsPending = exports.isRecordReadPending = exports.isRecordModifiedExceptPart = exports.isRecordModified = exports.isPanelCollapsed = exports.isLogoutPending = exports.isLoginWindowOpenFailed = exports.isLoginWindowOpen = exports.isLoginSuccess = exports.isLoginPending = exports.isAuthzRolesReadPending = exports.isAuthzPermsReadPending = exports.getVocabulary = exports.getUserUsername = exports.getUserUserId = exports.getUserScreenName = exports.getUserRoleNames = exports.getUserPerms = exports.getUserAccountId = exports.getUploadType = exports.getToolTab = exports.getSubrecordData = exports.getStickyFields = exports.getSearchToSelectVocabulary = exports.getSearchToSelectRecordType = exports.getSearchToSelectPageSize = exports.getSearchToSelectKeyword = exports.getSearchToSelectAdvanced = exports.getSearchState = exports.getSearchSelectedItems = exports.getSearchResultPagePageSize = exports.getSearchResult = exports.getSearchPanelPageSize = exports.getSearchPageVocabulary = exports.getSearchPageRecordType = exports.getSearchPageKeyword = exports.getSearchPageAdvanced = exports.getSearchError = exports.getSearchCondition = exports.getRelationFindResult = exports.getRelatedRecordBrowserRelatedCsid = exports.getRecordValidationErrors = exports.getRecordSubrecordCsid = exports.getRecordRelationUpdatedTimestamp = exports.getRecordPagePrimaryCsid = exports.getRecordError = exports.getRecordData = exports.getRecordBrowserNavBarItems = exports.getQuickSearchVocabulary = exports.getQuickSearchRecordType = exports.getQuickSearchKeyword = exports.getPrefs = exports.getPartialTermSearchMatches = exports.getOptionList = exports.getOpenModalName = exports.getNotifications = exports.getNewRecordData = exports.getMostRecentSearchDescriptor = exports.getLogoutResponse = exports.getLoginUsername = exports.getLoginLandingPath = exports.getLoginError = exports.getLoginAuthCodeUrl = exports.getIDGenerator = exports.getForm = exports.getCSpaceSystemInfo = exports.getAuthzRoles = exports.getAuthzResourceNames = exports.getAuthorityVocabWorkflowState = exports.getAuthorityVocabCsid = exports.getAdvancedSearchBooleanOp = exports.getAdminTab = exports.default = exports.areUserPrefsLoaded = void 0;
var _redux = require("redux");
var _authz = _interopRequireWildcard(require("./authz"));
var fromAuthz = _authz;
var _authority = _interopRequireWildcard(require("./authority"));
var fromAuthority = _authority;
var _cspace = _interopRequireWildcard(require("./cspace"));
var fromCspace = _cspace;
var _idGenerator = _interopRequireWildcard(require("./idGenerator"));
var fromIDGenerator = _idGenerator;
var _searchPage = _interopRequireWildcard(require("./searchPage"));
var fromSearchPage = _searchPage;
var _quickSearch = _interopRequireWildcard(require("./quickSearch"));
var fromQuickSearch = _quickSearch;
var _login = _interopRequireWildcard(require("./login"));
var fromLogin = _login;
var _logout = _interopRequireWildcard(require("./logout"));
var fromLogout = _logout;
var _notification = _interopRequireWildcard(require("./notification"));
var fromNotification = _notification;
var _optionList = _interopRequireWildcard(require("./optionList"));
var fromOptionList = _optionList;
var _partialTermSearch = _interopRequireWildcard(require("./partialTermSearch"));
var fromPartialTermSearch = _partialTermSearch;
var _prefs = _interopRequireWildcard(require("./prefs"));
var fromPrefs = _prefs;
var _record = _interopRequireWildcard(require("./record"));
var fromRecord = _record;
var _recordBrowser = _interopRequireWildcard(require("./recordBrowser"));
var fromRecordBrowser = _recordBrowser;
var _recordPage = _interopRequireWildcard(require("./recordPage"));
var fromRecordPage = _recordPage;
var _searchToSelect = _interopRequireWildcard(require("./searchToSelect"));
var fromSearchToSelect = _searchToSelect;
var _relation = _interopRequireWildcard(require("./relation"));
var fromRelation = _relation;
var _search = _interopRequireWildcard(require("./search"));
var fromSearch = _search;
var _user = _interopRequireWildcard(require("./user"));
var fromUser = _user;
var _vocabulary = _interopRequireWildcard(require("./vocabulary"));
var fromVocabulary = _vocabulary;
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var _default = (0, _redux.combineReducers)({
  authz: _authz.default,
  authority: _authority.default,
  cspace: _cspace.default,
  idGenerator: _idGenerator.default,
  searchPage: _searchPage.default,
  quickSearch: _quickSearch.default,
  login: _login.default,
  logout: _logout.default,
  optionList: _optionList.default,
  notification: _notification.default,
  partialTermSearch: _partialTermSearch.default,
  prefs: _prefs.default,
  record: _record.default,
  recordBrowser: _recordBrowser.default,
  recordPage: _recordPage.default,
  searchToSelect: _searchToSelect.default,
  relation: _relation.default,
  search: _search.default,
  user: _user.default,
  vocabulary: _vocabulary.default
});
exports.default = _default;
const getAuthorityVocabCsid = (state, recordType, vocab) => fromAuthority.getVocabCsid(state.authority, recordType, vocab);
exports.getAuthorityVocabCsid = getAuthorityVocabCsid;
const getAuthorityVocabWorkflowState = (state, recordType, vocab) => fromAuthority.getVocabWorkflowState(state.authority, recordType, vocab);
exports.getAuthorityVocabWorkflowState = getAuthorityVocabWorkflowState;
const isAuthzPermsReadPending = state => fromAuthz.isPermsReadPending(state.authz);
exports.isAuthzPermsReadPending = isAuthzPermsReadPending;
const getAuthzResourceNames = state => fromAuthz.getResourceNames(state.authz);
exports.getAuthzResourceNames = getAuthzResourceNames;
const isAuthzRolesReadPending = state => fromAuthz.isRolesReadPending(state.authz);
exports.isAuthzRolesReadPending = isAuthzRolesReadPending;
const getAuthzRoles = state => fromAuthz.getRoles(state.authz);
exports.getAuthzRoles = getAuthzRoles;
const areUserPrefsLoaded = state => fromUser.arePrefsLoaded(state.user);
exports.areUserPrefsLoaded = areUserPrefsLoaded;
const getUserAccountId = state => fromUser.getAccountId(state.user);
exports.getUserAccountId = getUserAccountId;
const getUserScreenName = state => fromUser.getScreenName(state.user);
exports.getUserScreenName = getUserScreenName;
const getUserUserId = state => fromUser.getUserId(state.user);
exports.getUserUserId = getUserUserId;
const getUserUsername = state => fromUser.getUsername(state.user);
exports.getUserUsername = getUserUsername;
const getUserPerms = state => fromUser.getPerms(state.user);
exports.getUserPerms = getUserPerms;
const getUserRoleNames = state => fromUser.getRoleNames(state.user);
exports.getUserRoleNames = getUserRoleNames;
const getLoginAuthCodeUrl = state => fromLogin.getAuthCodeUrl(state.login);
exports.getLoginAuthCodeUrl = getLoginAuthCodeUrl;
const getLoginLandingPath = state => fromLogin.getLandingPath(state.login);
exports.getLoginLandingPath = getLoginLandingPath;
const getLoginUsername = state => fromLogin.getUsername(state.login);
exports.getLoginUsername = getLoginUsername;
const isLoginPending = state => fromLogin.isPending(state.login);
exports.isLoginPending = isLoginPending;
const isLoginSuccess = state => fromLogin.isSuccess(state.login);
exports.isLoginSuccess = isLoginSuccess;
const getLoginError = state => fromLogin.getError(state.login);
exports.getLoginError = getLoginError;
const isLoginWindowOpen = state => fromLogin.isWindowOpen(state.login);
exports.isLoginWindowOpen = isLoginWindowOpen;
const isLoginWindowOpenFailed = state => fromLogin.isWindowOpenFailed(state.login);
exports.isLoginWindowOpenFailed = isLoginWindowOpenFailed;
const isLogoutPending = state => fromLogout.isPending(state.logout);
exports.isLogoutPending = isLogoutPending;
const getLogoutResponse = state => fromLogout.getResponse(state.logout);
exports.getLogoutResponse = getLogoutResponse;
const getRecordRelationUpdatedTimestamp = (state, csid) => fromRecord.getRelationUpdatedTimestamp(state.record, csid);
exports.getRecordRelationUpdatedTimestamp = getRecordRelationUpdatedTimestamp;
const getRecordData = (state, csid) => fromRecord.getData(state.record, csid);
exports.getRecordData = getRecordData;
const getSubrecordData = (state, csid) => fromRecord.getSubrecordData(state.record, csid);
exports.getSubrecordData = getSubrecordData;
const getRecordError = (state, csid) => fromRecord.getError(state.record, csid);
exports.getRecordError = getRecordError;
const getRecordSubrecordCsid = (state, csid, subrecordName) => fromRecord.getSubrecordCsid(state.record, csid, subrecordName);
exports.getRecordSubrecordCsid = getRecordSubrecordCsid;
const getRecordValidationErrors = (state, csid) => fromRecord.getValidationErrors(state.record, csid);
exports.getRecordValidationErrors = getRecordValidationErrors;
const getNewRecordData = state => fromRecord.getNewData(state.record);
exports.getNewRecordData = getNewRecordData;
const isRecordReadPending = (state, csid) => fromRecord.isReadPending(state.record, csid);
exports.isRecordReadPending = isRecordReadPending;
const isRecordSavePending = (state, csid) => fromRecord.isSavePending(state.record, csid);
exports.isRecordSavePending = isRecordSavePending;
const isRecordReadVocabularyItemRefsPending = (state, csid) => fromRecord.isReadVocabularyItemRefsPending(state.record, csid);
exports.isRecordReadVocabularyItemRefsPending = isRecordReadVocabularyItemRefsPending;
const isRecordModified = (state, csid) => fromRecord.isModified(state.record, csid);
exports.isRecordModified = isRecordModified;
const isRecordModifiedExceptPart = (state, csid, part) => fromRecord.isModifiedExceptPart(state.record, csid, part);
exports.isRecordModifiedExceptPart = isRecordModifiedExceptPart;
const getRecordPagePrimaryCsid = state => fromRecordPage.getPrimaryCsid(state.recordPage);
exports.getRecordPagePrimaryCsid = getRecordPagePrimaryCsid;
const getRelatedRecordBrowserRelatedCsid = (state, recordType) => fromRecordBrowser.getRelatedRecordBrowserRelatedCsid(state.recordBrowser, recordType);
exports.getRelatedRecordBrowserRelatedCsid = getRelatedRecordBrowserRelatedCsid;
const getPrefs = state => state.prefs;
exports.getPrefs = getPrefs;
const getAdvancedSearchBooleanOp = state => fromPrefs.getAdvancedSearchBooleanOp(state.prefs);
exports.getAdvancedSearchBooleanOp = getAdvancedSearchBooleanOp;
const isPanelCollapsed = (state, recordType, name) => fromPrefs.isPanelCollapsed(state.prefs, recordType, name);
exports.isPanelCollapsed = isPanelCollapsed;
const getRecordBrowserNavBarItems = (state, recordType) => fromPrefs.getRecordBrowserNavBarItems(state.prefs, recordType);
exports.getRecordBrowserNavBarItems = getRecordBrowserNavBarItems;
const getSearchPanelPageSize = (state, recordType, name) => fromPrefs.getSearchPanelPageSize(state.prefs, recordType, name);
exports.getSearchPanelPageSize = getSearchPanelPageSize;
const getSearchResultPagePageSize = state => fromPrefs.getSearchResultPagePageSize(state.prefs);
exports.getSearchResultPagePageSize = getSearchResultPagePageSize;
const getSearchToSelectPageSize = state => fromPrefs.getSearchToSelectPageSize(state.prefs);
exports.getSearchToSelectPageSize = getSearchToSelectPageSize;
const getForm = (state, recordType) => fromPrefs.getForm(state.prefs, recordType);
exports.getForm = getForm;
const getUploadType = state => fromPrefs.getUploadType(state.prefs);
exports.getUploadType = getUploadType;
const getAdminTab = state => fromPrefs.getAdminTab(state.prefs);
exports.getAdminTab = getAdminTab;
const getToolTab = state => fromPrefs.getToolTab(state.prefs);
exports.getToolTab = getToolTab;
const getOptionList = (state, optionListName) => fromOptionList.get(state.optionList, optionListName);
exports.getOptionList = getOptionList;
const getVocabulary = (state, vocabularyName) => fromVocabulary.get(state.vocabulary, vocabularyName);
exports.getVocabulary = getVocabulary;
const getPartialTermSearchMatches = state => fromPartialTermSearch.getMatches(state.partialTermSearch);
exports.getPartialTermSearchMatches = getPartialTermSearchMatches;
const getIDGenerator = (state, idGeneratorName) => fromIDGenerator.get(state.idGenerator, idGeneratorName);
exports.getIDGenerator = getIDGenerator;
const getSearchPageAdvanced = state => fromSearchPage.getAdvanced(state.searchPage);
exports.getSearchPageAdvanced = getSearchPageAdvanced;
const getSearchPageKeyword = state => fromSearchPage.getKeyword(state.searchPage);
exports.getSearchPageKeyword = getSearchPageKeyword;
const getSearchCondition = (state, recordType) => fromPrefs.getSearchCondition(state.prefs, recordType);
exports.getSearchCondition = getSearchCondition;
const getSearchPageRecordType = state => fromPrefs.getSearchPageRecordType(state.prefs);
exports.getSearchPageRecordType = getSearchPageRecordType;
const getSearchPageVocabulary = (state, recordType) => fromPrefs.getSearchPageVocabulary(state.prefs, recordType);
exports.getSearchPageVocabulary = getSearchPageVocabulary;
const getQuickSearchKeyword = state => fromQuickSearch.getKeyword(state.quickSearch);
exports.getQuickSearchKeyword = getQuickSearchKeyword;
const getQuickSearchRecordType = state => fromPrefs.getQuickSearchRecordType(state.prefs);
exports.getQuickSearchRecordType = getQuickSearchRecordType;
const getQuickSearchVocabulary = (state, recordType) => fromPrefs.getQuickSearchVocabulary(state.prefs, recordType);
exports.getQuickSearchVocabulary = getQuickSearchVocabulary;
const isRecordSidebarOpen = state => fromPrefs.isRecordSidebarOpen(state.prefs);
exports.isRecordSidebarOpen = isRecordSidebarOpen;
const isSearchResultSidebarOpen = state => fromPrefs.isSearchResultSidebarOpen(state.prefs);
exports.isSearchResultSidebarOpen = isSearchResultSidebarOpen;
const getStickyFields = (state, recordType) => fromPrefs.getStickyFields(state.prefs, recordType);
exports.getStickyFields = getStickyFields;
const isSearchDirty = (state, searchName) => fromSearch.isDirty(state.search, searchName);
exports.isSearchDirty = isSearchDirty;
const isSearchPending = (state, searchName, searchDescriptor) => fromSearch.isPending(state.search, searchName, searchDescriptor);
exports.isSearchPending = isSearchPending;
const getSearchState = (state, searchName, searchDescriptor) => fromSearch.getState(state.search, searchName, searchDescriptor);
exports.getSearchState = getSearchState;
const getMostRecentSearchDescriptor = (state, searchName) => fromSearch.getMostRecentDescriptor(state.search, searchName);
exports.getMostRecentSearchDescriptor = getMostRecentSearchDescriptor;
const getSearchResult = (state, searchName, searchDescriptor) => fromSearch.getResult(state.search, searchName, searchDescriptor);
exports.getSearchResult = getSearchResult;
const getSearchError = (state, searchName, searchDescriptor) => fromSearch.getError(state.search, searchName, searchDescriptor);
exports.getSearchError = getSearchError;
const getSearchSelectedItems = (state, searchName) => fromSearch.getSelectedItems(state.search, searchName);
exports.getSearchSelectedItems = getSearchSelectedItems;
const getRelationFindResult = (state, subject, object, predicate) => fromRelation.getFindResult(state.relation, subject, object, predicate);
exports.getRelationFindResult = getRelationFindResult;
const getSearchToSelectAdvanced = state => fromSearchToSelect.getAdvanced(state.searchToSelect);
exports.getSearchToSelectAdvanced = getSearchToSelectAdvanced;
const getSearchToSelectKeyword = state => fromSearchToSelect.getKeyword(state.searchToSelect);
exports.getSearchToSelectKeyword = getSearchToSelectKeyword;
const getSearchToSelectRecordType = state => fromSearchToSelect.getRecordType(state.searchToSelect);
exports.getSearchToSelectRecordType = getSearchToSelectRecordType;
const getSearchToSelectVocabulary = (state, recordType) => fromSearchToSelect.getVocabulary(state.searchToSelect, recordType);
exports.getSearchToSelectVocabulary = getSearchToSelectVocabulary;
const getNotifications = state => fromNotification.getNotifications(state.notification);
exports.getNotifications = getNotifications;
const getOpenModalName = state => fromNotification.getModal(state.notification);
exports.getOpenModalName = getOpenModalName;
const getCSpaceSystemInfo = state => fromCspace.getSystemInfo(state.cspace);
exports.getCSpaceSystemInfo = getCSpaceSystemInfo;